## posixtestsuite 1.5.2

=== Makefile ===
--- 
+++ 
@@ -18,8 +18,8 @@
 #
 
 # Added tests timeout from Sebastien Decugis (http://nptl.bullopensource.org) 
-# Expiration delay is 120 seconds
-TIMEOUT_VAL = 120
+# Expiration delay is 240 seconds
+TIMEOUT_VAL = 240
 # The following value is the shell return value of a timedout application.
 # with the bash shell, the ret val of a killed application is 128 + signum
 # and under Linux, SIGALRM=14, so we have (Linux+bash) 142.
@@ -96,7 +96,7 @@
 # Rule to run an executable test
 # If it is only a build test, then the binary exist, so we don't need to run
 .PHONY: %.run-test
-%.run-test: %.test $(top_builddir)/t0
+%.run-test: %.test $(top_builddir)/t0 $(top_builddir)/t0.val
 	@COMPLOG=$(LOGFILE).$$$$; \
 	[ -f $< ] || exit 0; \
 	$(TIMEOUT) $< > $$COMPLOG 2>&1; \
@@ -139,10 +139,12 @@
 
 $(top_builddir)/t0: $(top_builddir)/t0.c
 	@echo Building timeout helper files; \
-	$(CC) -O2 -o $@ $< ; \
+	$(CC) -O2 -o $@ $<
+	
+$(top_builddir)/t0.val: $(top_builddir)/t0
 	echo `$(top_builddir)/t0 0; echo $$?` > $(top_builddir)/t0.val
 	
-%.run-test: %.sh $(top_builddir)/t0
+%.run-test: %.sh $(top_builddir)/t0 $(top_builddir)/t0.val
 	@COMPLOG=$(LOGFILE).$$$$; \
 	chmod +x $<; \
 	$(TIMEOUT) $< > $$COMPLOG 2>&1; \
