=== functional/timers/timers/Makefile ===
--- 
+++ 
@@ -9,9 +9,9 @@
 
 INCLUDE = -I../../../include
 
-LDPATH = -L/lib/libposixtime.so
+LDPATH =
 
-LIB = -lposixtime
+LIB = -lrt
 
 all:	twoevtimers.test twoptimers.test
