=== stress/threads/pthread_self/Makefile ===
# Copyright (c) 2004, Intel Corporation. All rights reserved.
# Created by:  adam.li@intel.com
# This file is licensed under the GPL license.  For the full content
# of this license, see the COPYING file at the top level of this
# source tree.

CFLAGS := -Wall -I../../../include -O2
LDFLAGS := -lpthread -lrt

TARGETS := stress

all: $(TARGETS)

clean:
	rm -f $(TARGETS)
