=== debian/changelog ===
posixtestsuite (1.5.2-9) unstable; urgency=medium

  * QA upload.
  * Maintain package in Debian team on Salsa
  * Secure URI in Homepage
  * d/watch: Version=5
  * d/copyright: Add paragraph Files: debian/*
  * d/rules: Short dh
  * Standards-Version: 4.7.3 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove Priority field to comply with Debian Policy 4.7.3 (routine-
    update)
  * Fix clean target
    Closes: #1045292

 -- Andreas Tille <tille@debian.org>  Tue, 06 Jan 2026 20:41:55 +0100

posixtestsuite (1.5.2-8) unstable; urgency=medium

  * Orphan package, set maintainer to Debian QA Group.
  * Namespace debhelper fragment files with binary package name.
  * Switch to debhelper compatibility level 11.
  * Mark binary package as Multi-Arch: same.
  * Remove spurious space from package description.
  * Now using Standards-Version 4.3.0 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Sun, 10 Feb 2019 20:00:32 +0100

posixtestsuite (1.5.2-7) unstable; urgency=medium

  * Line-wrap dependency fields.
  * Remove commented-out debhelper commands.
  * Use dpkg Makefile fragments instead of using dpkg-architecture directly.
  * Now using Standards-Version 4.1.1 (no changes needed).
  * Switch to debian/watch format version 4.
  * Switch sf.net URL in debian/watch file from http to https.
  * Switch to debhelper compatibility level 10.
  * Set Rules-Requires-Root to no.

 -- Guillem Jover <guillem@debian.org>  Sun, 05 Nov 2017 17:11:38 +0100

posixtestsuite (1.5.2-6) unstable; urgency=low

  * Switch debian/copyright to machine-readable format 1.0.
  * Switch Vcs-Browser to a cgit URL.
  * Now using Standards-Version 3.9.8 (no changes needed).
  * Use https for hadrons.org URLs.
  * Add patch metadata for patches missing it.

 -- Guillem Jover <guillem@debian.org>  Tue, 31 May 2016 19:44:20 +0200

posixtestsuite (1.5.2-5) unstable; urgency=low

  * Take over standalone maintainership.
    <https://lists.debian.org/debian-bsd/2013/10/msg00227.html>.
  * Now using Standards-Version 3.9.5 (no changes needed).
  * Remove packaging history from debian/copyright.
  * Do not store the timestamp in the gzip compressed report log file.
  * Switch to debhelper compatibility level 9.

 -- Guillem Jover <guillem@debian.org>  Mon, 03 Mar 2014 05:50:27 +0100

posixtestsuite (1.5.2-4) unstable; urgency=low

  * Switch to debhelper compatibility level 7.
  * Use dh_prep instead of “dh_clean -k”.
  * Switch to source format “3.0 (quilt)”:
    - Remove quilt from Build-Depends.
    - Remove quilt.make include from debian/rules.
    - Remove patch and unpatch targets from debian/rules.
    - Remove now unneeded debian/README.source.
  * Now using Standards-Version 3.9.2 (no changes needed).
  * Use coreutils' timeout instead of expect's timeout, as the latter was
    mangling and causing the output to not be written to the logfile.
  * Fix some test case compilation errors due to -Werror.
  * Switch the binary package to be arch:any and ship the test suite
    report in /usr/share/doc/posixtestsuite/report.GNU-TYPE.log.gz.
    This will make the test suite run on all build daemons, so that
    we can easily see how all architectures conform to the standard.
  * Do not try to build test cases from the quilt state directory.
  * Use a stamp file to not run the test suite twice.

 -- Guillem Jover <guillem@debian.org>  Fri, 03 Jun 2011 09:10:32 +0200

posixtestsuite (1.5.2-3) unstable; urgency=low

  * Add a README.source.
  * Now using Standards-Version 3.8.0.
  * Refresh patches with -pab. (Closes: #485358)
  * Refer to GPL-2 from common-licenses instead of just GPL.

 -- Guillem Jover <guillem@debian.org>  Sun, 22 Jun 2008 06:23:45 +0300

posixtestsuite (1.5.2-2) unstable; urgency=low

  * Do not directly use the QA watch redirector, use the sf.net URL instead.
    (Closes: #453608)
  * List in debian/copyright the actual copyright holders, not the authors.
  * Add status fields to the patches.

 -- Guillem Jover <guillem@debian.org>  Wed, 28 May 2008 00:17:11 +0300

posixtestsuite (1.5.2-1) unstable; urgency=low

  * New upstream release.
    - debian/patches/00_find_warnings.patch: Remove, merged upstream.
    - debian/patches/02_expect.diff: Rename to ...
    - debian/patches/02_timeout.patch: ... this. Make all run.sh scripts
      use the provided timeout script.
  * Fix license statement in debian/copyright:
    - Update FSF's copyright address.
    - Change 'program' to 'package'.
  * Remove shlibs:Depends substvar from the Depends.
  * Switch to quilt:
    - Add new debian/patches/series file.
    - Add Build-Depends on 'quilt (>= 0.40)'.
    - Include quilt.make from debian/rules.
    - Make clean a single colon target and depend on unpatch in debian/rules.
    - Remove now unused debian/patch.mk.
  * Add build-indep and build-arch targets, and build depending on both.
  * Rename install to install-indep, and make it depend on build-indep.
  * Make binary-indep depend only on install-indep.
  * Add Homepage, Vcs-Browser and Vcs-Svn fields in debian/control.
  * Do not ignore make errors on 'debian/rules clean'.
  * Bump Standards-Version to 3.7.3 (no changes needed).
  * Move debhelper and quilt from Build-Depends-Indep to Build-Depends, as
    they are used during clean.

 -- Guillem Jover <guillem@debian.org>  Sat, 02 Feb 2008 22:21:08 +0200

posixtestsuite (1.5.1-1) unstable; urgency=low

  * New upstream release.
    - debian/patches/01_linux-gnu.diff: Rename to ...
    - debian/patches/01_gnu.patch: ... this. Rediff.
    - debian/patches/00_find_warnings.patch: Make find POSIX compliant.
    - Do not leave "sigpause/4.1.test" process running after finishing.
      (Closes: #303365)
  * Upgrade to debhelper compat version 5.
  * Switch from cdbs to debhelper.
  * Bump Standards-Version to 3.7.2 (no changes needed).
  * Reindent debian/copyright.
  * Add a watch file.

 -- Guillem Jover <guillem@debian.org>  Wed, 14 Jun 2006 09:15:32 +0300


