=== debian/control ===
Source: posixtestsuite
Section: devel
Maintainer: Debian QA Group <packages@qa.debian.org>
Homepage: https://posixtest.sourceforge.net/
Vcs-Browser: https://salsa.debian.org/debian/posixtestsuite
Vcs-Git: https://salsa.debian.org/debian/posixtestsuite.git
Standards-Version: 4.7.3
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),

Package: posixtestsuite
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
Description: POSIX conformance test suite report log
 The POSIX Test Suite is a free (as in speech) test suite with the goal
 of performing conformance, functional, and stress testing of the IEEE
 1003.1-2001 System Interfaces specification in a manner that is agnostic
 to any given implementation.
 .
 This package only provides the test suite results in a log file. If you
 want to run the testsuite, use the source package of the same name (e.g.
 apt-get source posixtestsuite).
