=== debian/rules ===
#!/usr/bin/make -f

REPORT := /usr/share/doc/posixtestsuite/report.$(DEB_HOST_GNU_TYPE).log

%:
	dh $@

override_dh_installdocs:
	dh_installdocs
	gzip -nc9 logfile >$(CURDIR)/debian/posixtestsuite/$(REPORT).gz
